Name:           python-starkbank-iso8583
Version:        0.6.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Python library for conversion between ISO 8583 message standard and JSON

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/starkbank/iso8583-python
Source:         %{pypi_source starkbank-iso8583}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'starkbank-iso8583' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-starkbank-iso8583
Summary:        %{summary}

%description -n python3-starkbank-iso8583 %_description


%prep
%autosetup -p1 -n starkbank-iso8583-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-starkbank-iso8583 -f %{pyproject_files}


%changelog
%autochangelog